classification
Title: documentation in epub format
Type: enhancement Stage:
Components: Documentation Versions:
process
Status: closed Resolution: duplicate
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: James.Polley, abdelazer, biny, csillag, georg.brandl, orsenthil, rhettinger, sandro.tosi, terry.reedy, wrobell
Priority: normal Keywords: patch

Created on 2009-02-25 10:19 by wrobell, last changed 2012-11-05 12:52 by csillag. This issue is now closed.

Files
File name Uploaded Description Edit
docs_in_epub_for_2.7.patch csillag, 2012-11-05 12:52 review
Messages (12)
msg82698 - (view) Author: wrobell (wrobell) Date: 2009-02-25 10:19
python documentation can be downloaded in pdf format (a4, us letter),
html and text plain. they are useful for printing and computer based
viewing, but not so good to read on ebook hardware/software
(i.e. sony prs-{505,700} or stanza ebook reader).

it would be nice if python documentation could be downloaded in epub
format, which is open format for ebooks

    http://wiki.mobileread.com/wiki/EPUB
    http://en.wikipedia.org/wiki/Epub#IDPF.2FEPUB
    http://en.wikipedia.org/wiki/OEBPS

i believe that major publishers are providing ebooks in epub format
as well

    http://newsbreaks.infotoday.com/wndReader.asp?ArticleId=52615
msg82699 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2009-02-25 10:43
I got into thinking if sphinx-dev or docutils be the best place for this ticket?

Python Documentation is nothing but ReStructured text and it is
required to create a rst2epub that would  convert restructured text to
epub format. If you are already aware of any such tool, please point
it to restructured text project for integration.

Python Bug tracker might be a wrong place for this feature request, IMO.
msg82702 - (view) Author: wrobell (wrobell) Date: 2009-02-25 11:42
probably sphinx/docutils "deserve" their own tickets, but appropriate
tools support will not guarantee, that documentation in epub format is
going to be published on

    http://docs.python.org/download.html

if documentation won't be published in this format, then i suggest
to close the ticket. but the decision is not up to me. :)
msg82703 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2009-02-25 11:51
On Wed, Feb 25, 2009 at 5:12 PM, wrobell <report@bugs.python.org> wrote:
> probably sphinx/docutils "deserve" their own tickets,

I agree with your points and I would wait for Georg's call on this ticket.

It would definitely help if you have already raised any tickets at
docutils or looked for a tool which does rst2epub.
msg82844 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-02-27 17:00
Well, the request is valid, so I'll leave this open here.

Since the format seems to me to be nothing but XHTML with a bit of extra
markup around it, it would be quite easy to write a builder for Sphinx
(by copying from the HTML help one) to do it. Would you like to try that?
msg82866 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2009-02-27 20:12
A few days ago, Tim O'Reilly wrote a column in Forbes 
http://www.forbes.com/2009/02/22/kindle-oreilly-ebooks-technology-breakthroughs_oreilly.html
promoting epub and noting that his computer book company is starting to
use it.

I got the same impression: xhtml + extra markup for mobile readers.
msg83054 - (view) Author: Keith Fahlgren (abdelazer) Date: 2009-03-03 04:57
> I got the same impression: xhtml + extra markup for mobile readers.

ePub is indeed based heavily on XHTML 1.1 and CSS and uses a fairly
simple ZIP container. Having written DocBook->ePub tools, I'm happy to
help anyone interested in doing rst2epub.
msg85518 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-04-05 15:24
In any case, this belongs in the Sphinx tracker:
http://bitbucket.org/birkenfeld/sphinx/issue/140/
msg148860 - (view) Author: James Polley (James.Polley) Date: 2011-12-05 03:03
So http://bitbucket.org/birkenfeld/sphinx/issue/140/ has now been closed; sphinx happily builds epub.

However, the python docs are still not available for download in epub format from http://docs.python.org/download.html, which was the original request in this issue.
msg148865 - (view) Author: James Polley (James.Polley) Date: 2011-12-05 08:36
It looks like the first release that had epub support was 1.0; docs.python.org is still using 0.6.7, according to the footer on the bottom of the page.

I suspect that this is (A) pending the upgrade to 1.0.0, which is (B) more difficult than it sounds like, or at least, needs someone to make a concerted effort, and (C) should automatically just happen (or at least, be fairly trivial) once the move to the new version happens.
msg148866 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2011-12-05 09:14
Hello James,
please note that EPUB is already available for Python 3 documentation: http://docs.python.org/py3k/download.html . We will probably make it available also for 2.7 when I'll find the time to work on upgrading sphinx on 2.7 branch.
msg174903 - (view) Author: Kristof Csillag (csillag) * Date: 2012-11-05 12:52
I have prepared a patch to build the 2.7 docs in EPUB format, too.
(Since this was already done on Python 3; this is only a very simple backport of a few lines in a Makefile, a readme and a HTML download page.)
History
Date User Action Args
2012-11-05 12:52:49csillagsetfiles: + docs_in_epub_for_2.7.patch

nosy: + csillag
messages: + msg174903

keywords: + patch
2012-07-18 13:35:06binysetnosy: + biny
2011-12-05 09:14:21sandro.tosisetnosy: + sandro.tosi
messages: + msg148866
2011-12-05 08:36:58James.Polleysetmessages: + msg148865
2011-12-05 03:03:40James.Polleysetnosy: + James.Polley
messages: + msg148860
2009-04-05 15:24:03georg.brandlsetstatus: open -> closed
resolution: duplicate
messages: + msg85518
2009-03-03 04:57:14abdelazersetnosy: + abdelazer
messages: + msg83054
2009-02-27 20:18:31rhettingersetnosy: + rhettinger
2009-02-27 20:13:00terry.reedysetnosy: + terry.reedy
messages: + msg82866
2009-02-27 17:00:19georg.brandlsetmessages: + msg82844
2009-02-25 11:51:58orsenthilsetmessages: + msg82703
2009-02-25 11:42:00wrobellsetmessages: + msg82702
2009-02-25 10:43:55orsenthilsetnosy: + orsenthil
messages: + msg82699
2009-02-25 10:19:36wrobellcreate